%global momorel 1
%global md5sum_src0 29c170e800480ad9ca4186b5d1374ab7

Summary: Library for creating and parsing MIME messages
Name: gmime
Version: 2.2.9
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPL
URL: http://spruce.sourceforge.net/gmime/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.2/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Nosource: 0
Patch0: gmime-2.2.1-lib64.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.12.12
BuildRequires:  zlib-devel >= 1.2.3
%ifnarch ppc64 alpha sparc64
BuildRequires:  mono-devel >= 1.2.3.1
BuildRequires:  gtk-sharp2-devel  >= 2.10.0
%endif

%description
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME).

%package        devel
Summary:        Header files to develop libgmime applications
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description    devel
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains header files
to develop applications that use libgmime.

%ifnarch ppc64 alpha sparc64
%package        sharp
Summary:        mono bindings for gmime
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-sharp2

%description    sharp
The GMime suite provides a core library and set of utilities which may be
used for the creation and parsing of messages using the Multipurpose
Internet Mail Extension (MIME). The devel-package contains support
for developing mono applications that use libgmime.
%endif

%prep
%setup -q
%if %{_lib} == "lib64"
%patch -p1 -b .lib64
%endif

%build
%ifnarch ppc64 alpha sparc64
%configure --enable-mono --enable-gtk-doc --enable-largefile
%else
%configure --enable-gtk-doc --enable-largefile
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
# Don't conflict with sharutils:
mv %{buildroot}%{_bindir}/uuencode %{buildroot}%{_bindir}/gmime-uuencode
mv %{buildroot}%{_bindir}/uudecode %{buildroot}%{_bindir}/gmime-uudecode


%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/gmime-uu??code
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/gmime-config
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/gmimeConf.sh
%{_libdir}/pkgconfig/gmime-2.0.pc
%{_includedir}/gmime-2.0
%{_datadir}/gtk-doc/html/gmime

%ifnarch ppc64 alpha sparc64
%files sharp
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gmime-sharp.pc
%{_prefix}/lib/mono/gac/gmime-sharp
%{_prefix}/lib/mono/gmime-sharp
%{_datadir}/gapi-2.0/gmime-api.xml
%endif

%changelog
* Tue May 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.9-1m)
- update to 2.2.9

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.2.1-5m)
- fix BuildPrereq

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.1-4m)
- disable mono for ppc64, alpha, sparc64

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-4m)
- rebuild against mono-1.1.17.1 gtk-sharp 2.10.0

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.1-3m)
- revised for multilibarch

* Tue May  9 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.2.1-2m)
- add lib64 patch
- revised %files section in spec file

* Sat May  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.2.1-1m)
- start.
